Bug 221040 - centericq has broken dependencies in devel/fc7
centericq has broken dependencies in devel/fc7
Product: Fedora
Classification: Fedora
Component: centericq (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
Depends On:
Blocks: FE7Target
  Show dependency treegraph
Reported: 2006-12-30 19:00 EST by Kevin Fenzi
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 4.21.0-10.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-08 15:52:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kevin Fenzi 2006-12-30 19:00:23 EST
Description of problem:

        centericq - 4.21.0-8.fc6.i386    (58 days)
        centericq - 4.21.0-8.fc6.ppc    (58 days)
        centericq - 4.21.0-8.fc6.x86_64    (58 days)

centericq-4.21.0-8.fc6.ppc  requires  libcurl.so.3
centericq-4.21.0-8.fc6.x86_64  requires  libcurl.so.3()(64bit)
centericq-4.21.0-8.fc6.i386  requires  libcurl.so.3

So, the package needs to be rebuilt for the new libcurl. 
However, a simple dump of release and rebuild fails. 
The new automake tools in devel/fc7 aren't happy with the auto* files in centericq. 

This patch to the spec file gets it building for me: 

diff -u -r1.27 centericq.spec
--- centericq.spec      11 Nov 2006 16:29:06 -0000      1.27
+++ centericq.spec      30 Dec 2006 23:48:15 -0000
@@ -1,6 +1,6 @@
 Name:           centericq
 Version:        4.21.0
-Release:        9%{?dist}
+Release:        10%{?dist}
 Summary:        Text mode menu- and window-driven IM
@@ -64,7 +64,8 @@
 %patch102 -p1
 %patch200 -p1
 %patch201 -p1
+autopoint -f
+aclocal -I./m4
@@ -98,6 +99,10 @@
 %exclude %{_includedir}/msn
+* Sat Dec 30 2006 Kevin Fenzi <kevin@tummy.com>
+- Tweak to build on fc7 and rebuild for new curl
 * Mon Nov 06 2006 Jindrich Novy <jnovy@redhat.com>
 - rebuild because of the new curl
Consider applying and pushing a build.
If you like I can do so as well, just let me know if you would like me to.
Comment 1 Andreas Bierfert 2006-12-31 04:52:56 EST
Urgs... I have been playing around with different autotools settings as well +)
Thanks for the solution. Do you want to push a build or should I?
Comment 2 Kevin Fenzi 2006-12-31 11:17:57 EST
Either way. I don't care. I would be happy to if you prefer... 
Comment 3 Kevin Fenzi 2007-01-04 23:07:20 EST
Shall I go ahead and push this? 
If I don't hear from you by tomorrow I will do so. 
Comment 4 Andreas Bierfert 2007-01-08 03:52:15 EST
Yes please go ahead. Sorry I was gone for a couple of days to finally get some
vacation time this year =)

Thanks again for your help it is much appreciated.
Comment 5 Kevin Fenzi 2007-01-08 15:52:28 EST
Sorry about that. I meant to push this sooner... 

 25306 (centericq): Build on target fedora-development-extras succeeded.
     Build logs may be found at

Closing this now. 

Note You need to log in before you can comment on or make changes to this bug.